<ui:composition xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:rich="http://richfaces.org/rich"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                       value="#{idSchemesManager.filter.urlParameters}"/>
        <script>
            updateUrl("globalform:filterUrlParameters");
            $("#globalform\\:filterUrlParameters").bind('change',
                    function () {
                        updateUrl("globalform:filterUrlParameters");
                    });

        </script>
        <h:form id="globalform" styleClass="form-horizontal">
            <div class="row">
                <div class="col-md-9">
                    <ui:decorate template="/layout/panels/_panel_filter_criteria_footer.xhtml">
                        <ui:param name="sub_title"
                                  value="#{idSchemesManager.idSchemes.size()} #{messages['net.ihe.gazelle.assertion-manager.IdSchemesFoundForThisSearch']}"/>
                        <div class="row">
                            <div class="col-md-5">
                                <div class="row">
                                    <ui:decorate
                                            template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                        <ui:param name="id" value="scopeSelect"/>
                                        <ui:define name="label">
                                            <h:outputText
                                                    value="#{messages['net.ihe.gazelle.assertion-manager.Scope']}"/>
                                        </ui:define>
                                        <span class="gzl-never-wrap">
                                            <h:selectOneMenu id="scopeSelect" styleClass="form-control gzl-select-text"
                                                             style="width: 90%;display: initial;"
                                                             value="#{idSchemesManager.selectedScopeForFilter}">
                                                <s:selectItems var="scopeAvailable"
                                                               label="#{scopeAvailable}"
                                                               value="#{assertionScopeManager.getScopeNames()}"
                                                               noSelectionLabel="#{messages['gazelle.common.button.ShowAll']}"/>
                                                <a4j:ajax event="change" execute="@this"
                                                          render="globalform"/>
                                            </h:selectOneMenu>
                                            <a4j:commandLink event="click"
                                                             actionListener="#{idSchemesManager.resetSelectedScopeForFilter()}"
                                                             render="globalform" execute="@this">
                                                <span class="gzl-icon-times"/>
                                            </a4j:commandLink>
                                        </span>
                                    </ui:decorate>

                                </div>
                                <div class="row">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{idSchemesManager.filter}"/>

                                        <ui:param name="filterId" value="idScheme"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.IdScheme']}"/>
                                        <ui:param name="filterForm" value="globalform,idScheme"/>
                                    </ui:include>
                                </div>
                                <div class="row">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filter" value="#{idSchemesManager.filter}"/>

                                        <ui:param name="filterId" value="mbvService"/>
                                        <ui:param name="filterName"
                                                  value="#{messages['net.ihe.gazelle.assertion-manager.MbvService']}"/>
                                        <ui:param name="filterForm" value="globalform,idScheme"/>
                                    </ui:include>
                                </div>
                                <ui:define name="filter_buttons">
                                    <a4j:commandLink
                                            title="#{messages['net.ihe.gazelle.assertion-manager.ResetFilter']}"
                                            actionListener="#{idSchemesManager.clearFilter()}"
                                            render="globalform">
                                        <span class="fa fa-times-circle"/>
                                    </a4j:commandLink>
                                </ui:define>
                            </div>
                        </div>
                        <ui:define name="panel_footer">
                            <h:outputLink value="new.seam" rendered="#{s:hasRole('admin_role')}"
                                          styleClass="gzl-btn-green">
                                <f:param name="new" value="1"/>
                                <h:outputText
                                        value="Create IdScheme"/>
                            </h:outputLink>
                        </ui:define>
                    </ui:decorate>
                </div>
                <div class="col-md-3">
                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <ui:define name="panel_title">
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.assertion-manager.ImportOrUpdateAssertions']}"/>
                        </ui:define>
                        <h:panelGroup rendered="#{identity.loggedIn}">
                            <s:div>
                                <a target="_blank"
                                   href="#{request.contextPath}/assertions/template/assertion-template.xml"
                                   title="template">Idscheme xml template</a>
                            </s:div>
                            <rich:fileUpload id="uploadFile"
                                             fileUploadListener="#{uploadManager.uploadListener}"
                                             maxFilesQuantity="1" acceptedTypes="xml" listHeight="90px"
                                             listWidth="width: inherit;" immediateUpload="true">
                                <a4j:ajax event="uploadcomplete" render="globalform"/>
                            </rich:fileUpload>
                        </h:panelGroup>
                        <s:div id="logs">
                            <h:panelGroup
                                    rendered="#{not empty uploadManager.uploadHistory() or not empty uploadManager.currentUpload()}">
                                <h3>Upload logs
                                    <a4j:commandLink rendered="#{s:hasRole('admin_role')}"
                                                     actionListener="#{uploadManager.clearHistory()}"
                                                     title="clear logs"
                                                     render="logs">
                                        <span class="gzl-icon-trash-o" style="font-size: 65%;"/>
                                    </a4j:commandLink>
                                </h3>
                                <h:outputText value="#{uploadManager.currentUpload()}" escape="false"/>
                                <h:outputText value="#{uploadManager.uploadHistory()}" escape="false"/>
                            </h:panelGroup>
                        </s:div>

                    </ui:decorate>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <rich:dataTable rows="50" id="idScheme" var="idScheme"
                                    value="#{idSchemesManager.idSchemes}" render="ds">
                        <f:facet name="header">
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.tm.AssertionCoverageByIdScheme']}"/>
                        </f:facet>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.IdScheme']}</ui:define>

                            <h:outputLink title="view assertions"
                                          rendered="#{idScheme.isDisplayActions()}"
                                          value="#{request.contextPath}/assertions/index.seam">
                                <f:param name="idScheme" value="#{idScheme.idScheme}"/>
                                #{idScheme.idScheme}
                            </h:outputLink>

                            <h:outputText value="#{idScheme.nbAssertionsForThisIdScheme}"
                                          rendered="#{!idScheme.isDisplayActions()}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">Description</ui:define>
                            <h:outputText value="#{idScheme.description}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">
                                #{messages['net.ihe.gazelle.assertion-manager.TotalAssertions']}
                            </ui:define>
                            <h:outputLink
                                    title="#{idScheme.idScheme} #{messages['net.ihe.gazelle.assertion-manager.Assertions']}"
                                    rendered="#{idScheme.isDisplayActions()}"
                                    value="#{request.contextPath}/assertions/index.seam">
                                <f:param name="idScheme" value="#{idScheme.idScheme}"/>
                                <h:outputText value="#{idScheme.nbAssertionsForThisIdScheme}"/>
                            </h:outputLink>
                            <h:outputText value="#{idScheme.nbAssertionsForThisIdScheme}"
                                          rendered="#{!idScheme.isDisplayActions()}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">Not Testable</ui:define>
                            <h:outputLink
                                    title="Not testable assertions"
                                    rendered="#{idScheme.isDisplayActions()}"
                                    value="#{request.contextPath}/assertions/index.seam">
                                <f:param name="idScheme" value="#{idScheme.idScheme}"/>
                                <f:param name="testable" value="false"/>
                                <h:outputText value="#{idScheme.nbAssertionsNotTestable}"/>
                            </h:outputLink>
                            <h:outputText value="#{idScheme.nbAssertionsNotTestable}"
                                          rendered="#{!idScheme.isDisplayActions()}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">
                                #{messages['net.ihe.gazelle.assertion-manager.CoveredAssertions']}
                            </ui:define>
                            <h:outputLink
                                    title="#{idScheme.idScheme} #{messages['net.ihe.gazelle.assertion-manager.CoveredAssertions_2']}"
                                    rendered="#{idScheme.isDisplayActions()}"
                                    value="#{request.contextPath}/assertions/index.seam">
                                <f:param name="idScheme" value="#{idScheme.idScheme}"/>
                                <f:param name="coveredCheckboxes" value="ANY"/>
                                <h:outputText
                                        value="#{idScheme.nbAssertionsCovered} (#{idScheme.getPercentCovered()}%)"/>
                            </h:outputLink>
                            <h:outputText
                                    value="#{idScheme.nbAssertionsCovered} (#{idScheme.getPercentCovered()}%)"
                                    rendered="#{!idScheme.isDisplayActions()}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">
                                #{messages['net.ihe.gazelle.assertion-manager.NotCoveredAssertions']}
                            </ui:define>
                            <h:outputLink
                                    title="#{idScheme.idScheme} #{messages['net.ihe.gazelle.assertion-manager.NotCoveredAssertions']}"
                                    rendered="#{idScheme.isDisplayActions()}"
                                    value="#{request.contextPath}/assertions/index.seam">
                                <f:param name="idScheme" value="#{idScheme.idScheme}"/>
                                <f:param name="notCoveredCheckboxes" value="ANY"/>
                                <h:outputText
                                        value="#{idScheme.nbAssertionsNotCovered} (#{idScheme.getPercentNotCovered()}%)"/>
                            </h:outputLink>
                            <h:outputText
                                    value="#{idScheme.nbAssertionsNotCovered} (#{idScheme.getPercentNotCovered()}%)"
                                    rendered="#{!idScheme.isDisplayActions()}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">
                                Covered by tests
                            </ui:define>
                            <h:outputLink rendered="#{idScheme.isDisplayActions()}"
                                          title="#{idScheme.idScheme} #{messages['net.ihe.gazelle.assertion-manager.AssertionsCoveredByTest']}"

                                          value="#{request.contextPath}/assertions/index.seam">
                                <f:param name="idScheme" value="#{idScheme.idScheme}"/>
                                <f:param name="coveredCheckboxes" value="TEST"/>
                                <h:outputText
                                        value="#{idScheme.nbAssertionsCoveredThroughTests}"/>
                            </h:outputLink>
                            <h:outputText value="#{idScheme.nbAssertionsCoveredThroughTests}"
                                          rendered="#{!idScheme.isDisplayActions()}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">
                                Covered by TF rules
                            </ui:define>
                            <h:outputLink rendered="#{idScheme.isDisplayActions()}"
                                          title="#{idScheme.idScheme} #{messages['net.ihe.gazelle.assertion-manager.AssertionsCoveredByTfRules']}"
                                          value="#{request.contextPath}/assertions/index.seam">
                                <f:param name="idScheme" value="#{idScheme.idScheme}"/>
                                <f:param name="coveredCheckboxes" value="RULES"/>
                                <h:outputText
                                        value="#{idScheme.nbAssertionsCoveredThroughRules}"/>
                            </h:outputLink>
                            <h:outputText value="#{idScheme.nbAssertionsCoveredThroughRules}"
                                          rendered="#{!idScheme.isDisplayActions()}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">
                                #{messages['net.ihe.gazelle.assertion-manager.CoveredByMbv']}
                            </ui:define>
                            <h:outputLink rendered="#{idScheme.isDisplayActions()}"
                                          title="#{idScheme.idScheme} #{messages['net.ihe.gazelle.assertion-manager.AssertionsCoveredByMbv']}"
                                          value="#{request.contextPath}/assertions/index.seam">
                                <f:param name="idScheme" value="#{idScheme.idScheme}"/>
                                <f:param name="coveredCheckboxes" value="MBV"/>
                                <h:outputText value="#{idScheme.nbAssertionsCoveredThroughMbv}"/>
                            </h:outputLink>
                            <h:outputText value="#{idScheme.nbAssertionsCoveredThroughMbv}"
                                          rendered="#{!idScheme.isDisplayActions()}"/>
                        </g:column>
                        <g:column rendered="#{s:hasRole('admin_role')}">
                            <ui:define name="header">#{messages['net.ihe.gazelle.assertion-manager.Progress']}
                            </ui:define>
                            <div class="progress" style="margin-bottom: 0;">
                                <div class="progress-bar progress-bar-success"
                                     style="width: #{idScheme.getPercentCovered()}%;">
                                    <span title="covered">
                                        <h:outputText
                                                value="#{idScheme.getPercentCovered()}%"/>
                                    </span>
                                </div>
                                <div class="progress-bar progress-bar-danger"
                                     style="width: #{idScheme.getPercentNotCovered()}%;">
                                    <span title="not covered">
                                        <h:outputText
                                                value="#{idScheme.getPercentNotCovered()}%"/>
                                    </span>
                                </div>
                            </div>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['net.ihe.gazelle.Actions']}</ui:define>
                            <h:panelGroup styleClass="gzl-never-wrap"
                                          rendered="#{idScheme.isDisplayActions()}">
                                <h:outputLink
                                        title="View"
                                        value="#{request.contextPath}/idSchemes/show.seam">
                                    <f:param name="idSchemeId" value="#{idScheme.id}"/>
                                    <span class="gzl-icon-search"/>
                                </h:outputLink>
                                <h:outputLink
                                        title="Edit"
                                        rendered="#{s:hasRole('admin_role')}"
                                        value="#{request.contextPath}/idSchemes/edit.seam">
                                    <f:param name="idSchemeId" value="#{idScheme.id}"/>
                                    <span class="gzl-icon-pencil"/>
                                </h:outputLink>
                                <h:outputLink
                                        title="#{messages['net.ihe.gazelle.assertion-manager.Review']}"
                                        value="#{request.contextPath}/idSchemes/review.seam?idScheme=#{idScheme.idScheme}">
                                    <h:outputText
                                            value="#{messages['net.ihe.gazelle.assertion-manager.Review']}"/>
                                </h:outputLink>

                                <h:outputLink id="linkIdScheme" target="_blank"
                                              rendered="#{identity.loggedIn and idScheme.nbAssertionsForThisIdScheme gt 0 }"
                                              title="#{messages['net.ihe.gazelle.assertion-manager.ViewXml']}"
                                              value="#{preferencesManager.getAssertionRestPath(request.contextPath)}">
                                    <f:param name="idScheme" value="#{idScheme.idScheme}"/>
                                    <f:param name="format" value="xml"/>
                                    <span class="gzl-icon-xml"/>
                                </h:outputLink>
                                <a href="#" style="pointer-events: none;">
                                    <s:span styleClass="gzl-icon-xml gzl-color-light-grey"
                                            rendered="#{identity.loggedIn and idScheme.nbAssertionsForThisIdScheme eq 0 }"/>
                                </a>
                                <h:outputLink title="document"
                                              rendered="#{identity.loggedIn}"
                                              value="#{request.contextPath}/documents/index.seam">
                                    <f:param name="idScheme" value="#{idScheme.idScheme}"/>
                                    <span class="gzl-icon-file-text-o"/>
                                </h:outputLink>
                                <a4j:commandLink title="#{messages['users.Delete']}"
                                                 rendered="#{s:hasRole('admin_role')}"
                                                 actionListener="#{idSchemesManager.setSelectedIdScheme(idScheme)}"
                                                 oncomplete="jq162('#DeleteConfirmationModalPanel').modal('show');"
                                                 immediate="true"
                                                 render="confirmationModalPanelDecoration,globalform"
                                                 execute="@this">
                                    <span class="gzl-icon-trash-o"/>
                                </a4j:commandLink>
                            </h:panelGroup>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="idScheme"/>
                                <ui:param name="hideRowsSelect" value="true"/>
                                <ui:param name="maxPages" value="5"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </div>
            </div>

        </h:form>
        <h:form id="deleteidSchemeForm">
            <s:token allowMultiplePosts="true"/>
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="DeleteConfirmationModalPanel"/>
                <ui:define name="popup_title">
                    <h:outputText id="currentidScheme_DeleteOutputText"
                                  value="#{messages['net.ihe.gazelle.AreYouSureToRemoveThisIdScheme']}"/>
                </ui:define>

                <s:decorate id="confirmationModalPanelDecoration">
                    <ui:decorate template="/layout/panels/_panel.xhtml">
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.PleaseconfirmThatYouWantToDelete']} #{idSchemesManager.getSelectedIdScheme().idScheme} #{messages['net.ihe.gazelle.IdScheme']} #{messages['net.ihe.gazelle.assertion-manager.TestOrTestStepsLinkedToAssertionsInThisIdSchemeW']}"/>
                    </ui:decorate>
                </s:decorate>

                <ui:define name="popup_footer">
                    <h:commandButton value="#{messages['users.Cancel']}"
                                     styleClass="gzl-btn"
                                     onclick="jq162('#DeleteConfirmationModalPanel').modal('hide');"/>
                    <h:commandButton value="#{messages['users.Delete']}" action="#{idSchemesManager.delete()}"
                                     styleClass="gzl-btn-red" render="filterForm,dataForm"
                                     onclick="jq162('#DeleteConfirmationModalPanel').modal('hide');"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>